# -*- coding: utf-8 -*-
# Copyright (c) 2021-2022 THL A29 Limited
#
# This source code file is made available under MIT License
# See LICENSE for details
# ==============================================================================

# Generated by Django 3.1.12 on 2021-11-29 11:34
"""
nodemgr数据迁移脚本
0001_initial
"""
import django.db.models.manager
from django.conf import settings
from django.db import migrations, models

import apps.base.basemodel


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            # nodemgr_exectag
            name='ExecTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='标签名称')),
                ('desc', models.CharField(blank=True, max_length=256, null=True, verbose_name='描述')),
                ('public', models.BooleanField(default=False, verbose_name='是否可用')),
                ('official', models.BooleanField(blank=True, null=True, verbose_name='是否官方标签')),
                ('tag_type',
                 models.IntegerField(blank=True, choices=[(1, '公共标签'), (2, '非公共标签'), (99, '已停用标签')],
                                     null=True, verbose_name='标签状态')),
            ],
        ),
        migrations.CreateModel(
            # nodemgr_node
            name='Node',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time',
                 models.DateTimeField(db_index=True, default=apps.base.basemodel.utcnow, verbose_name='创建时间')),
                ('modified_time',
                 models.DateTimeField(db_index=True, default=apps.base.basemodel.utcnow, verbose_name='最近修改时间')),
                ('deleted_time', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='删除时间')),
                ('name', models.CharField(max_length=64, unique=True, verbose_name='节点名称')),
                ('addr', models.GenericIPAddressField(default='0.0.0.0', verbose_name='IP地址')),
                ('enabled', models.IntegerField(choices=[(0, 'Disabled'), (1, 'Active'), (2, 'Offline')], default=0,
                                                help_text='置为非Active会回收正在执行的Task。', verbose_name='是否可用')),
                ('last_beat_time', models.DateTimeField(blank=True, null=True, verbose_name='心跳时间')),
                ('executor_num', models.IntegerField(default=1, verbose_name='执行器数')),
                ('executor_used_num', models.IntegerField(default=0, verbose_name='已被使用的执行器数')),
                ('state', models.IntegerField(choices=[(0, 'Free'), (1, 'Busy')], default=0, verbose_name='状态')),
                ('uuid', models.CharField(max_length=64, unique=True, verbose_name='节点唯一标志')),
                ('creator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                              related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='创建人')),
                ('deleter', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                              related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='删除人')),
                ('exec_tags', models.ManyToManyField(blank=True, help_text='（可多选）节点可执行标签的最大集合。',
                                                     to='nodemgr.ExecTag', verbose_name='最大执行标签集')),
                ('manager', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                              related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='节点管理员')),
                ('min_exec_tags',
                 models.ManyToManyField(blank=True, help_text='（可多选）节点可执行标签的最小集合。',
                                        related_name='min_exec_tags',
                                        to='nodemgr.ExecTag', verbose_name='最小执行标签集')),
                ('modifier', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                               related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='最近修改人')),
                ('tag', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                          related_name='nodes', to='nodemgr.exectag', verbose_name='唯一执行标签')),
            ],
            options={
                'abstract': False,
            },
            managers=[
                ('everything', django.db.models.manager.Manager()),
            ],
        ),
    ]
